<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.app.mapper.PaymentAccountMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="paymentAccountResultMap" type="org.springblade.modules.app.entity.PaymentAccount">
        <id column="id" property="id"/>
        <result column="user_id" property="userId"/>
        <result column="account_code" property="accountCode"/>
        <result column="account_type" property="accountType"/>
        <result column="param_settings" property="paramSettings"/>
        <result column="business_name" property="businessName"/>
        <result column="business_code" property="businessCode"/>
        <result column="payment_channel_id" property="paymentChannelId"/>
        <result column="channel_Institution_num" property="channelInstitutionNum"/>
        <result column="public_key" property="publicKey"/>
        <result column="private_key" property="privateKey"/>
        <result column="md5" property="md5"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>


    <select id="selectPaymentAccountPage" resultMap="paymentAccountResultMap">
        select * from tb_payment_account where is_deleted = 0
    </select>

</mapper>
